Subject: Re: bug#7789: cannot send smtpmail using gmail & tls on woe32

From: Sam Steingold <[email-masked]>
Date: Fri, 7 Jan 2011 13:55:25 -0500

On Fri, Jan 7, 2011 at 2:43 AM, Eli Zaretskii <[email-masked]> wrote:
>> Date: Thu, 6 Jan 2011 18:13:40 -0500
>> From: Sam Steingold <[email-masked]>
>> Cc: [email-masked], [email-masked]
>>
>> I am still having this problem (native bzr tip emacs; both cygwin &
>> mingw gnutls-cli).
>> any suggestions are welcome.
>
> You posted the contents of the trace buffer on Windows.  What does
> that buffer show on Ubuntu, where you say it works?  The differences
> might give a clue for what's wrong on Windows.

the major difference is the conspicuous presence of ^M ("\r") chars in
the smtp trace buffer on windows.
when I use cygwin gnutls-cli, _all_ lines contain it.
when I use the native port, only _some_ lines do.
I wonder if the unconditional setting of coding-system in smtpmail.el
is the culprit.

-- 
Sam Steingold <http://sds.podval.org>